﻿using Business;
using Modèle;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// Logique d'interaction pour UCRequinValSubmit.xaml
    /// </summary>
    public partial class UCRequinValSubmit : UserControl
    {

        public Manager Mgr => (Application.Current as App).LeManager;

        public ManagerAddEdit MgrAddEdit => (Application.Current as App).LeManagerAddEdit;
        public UCRequinValSubmit()
        {
            InitializeComponent();
        }



        public void UserControlReq_MouseDown(object sender, MouseButtonEventArgs e)
        {
            ((ValiderSubmit)System.Windows.Application.Current.MainWindow).ContentControlSwapDes(this.requin);
        }

        private Requin _requin;
        public Requin requin
        {
            get { return _requin; }
            set
            {
                _requin = value;
                uptadeUi(_requin);
            }
        }



        public void uptadeUi(Requin requin)
        {
            nameReq.Text = requin.Nom;
            sciName.Text = requin.NomSci;
            //image.Source = new BitmapImage(new Uri(requin.Photo, UriKind.Relative));
        }

        private void exit_Click(object sender, RoutedEventArgs e)
        {

        }

        private void valider_Click(object sender, RoutedEventArgs e)
        {
            Mgr.AjouterRequin(_requin);
            MgrAddEdit.SupprimerRequinAdd(_requin);
        }

        private void refuser_Click(object sender, RoutedEventArgs e)
        {
            MgrAddEdit.SupprimerRequinAdd(_requin);
        }
    }
}
